/*
 * $Id: ripng.h,v 1.7 1998/09/01 19:38:44 masaki Exp $
 */

#ifndef _RIPNG_H
#define _RIPNG_H


#include <config.h>
#ifdef HAVE_IPV6
#include <linked_list.h>
#include <trace.h>
#include <timer.h>
#include <schedule.h>
#include <hash.h>

#include <mrt.h>
#include <proto.h>
#include <interface.h>
#include <rib.h>

#define RIPNG_DEFAULT_PORT	521
#define RIPNG_IPV6_PRIORITY	(7<<24)

#define RIPNG_MIN_BUFSIZE ((INTERFACE_MASTER->max_mtu > 8 * 1024) ? \
                            INTERFACE_MASTER->max_mtu : 8 * 1024)

#define RIPNG_REQUEST     1
#define RIPNG_RESPONSE    2

#define RIPNG_VERSION	1

void ripng_init (void);
int ripng_init_listen (void);
void ripng_send_request (LINKED_LIST * ll_prefixes);
void ripng_send_routes (interface_t * interface, struct sockaddr_in6 *host,
			int change);
void ripng_receive_update (void);

extern rip_t *RIPNG;

#endif /* HAVE_IPV6 */
#endif /* _RIPNG_H */
